> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify bank account

> Validates the account number and returns the registered account name.



## OpenAPI

````yaml /openapi.json post /api/v1/offramp/payouts/verify
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/offramp/payouts/verify:
    post:
      tags:
        - Offramp | Payouts
      summary: Verify bank account
      description: Validates the account number and returns the registered account name.
      operationId: OfframpPayoutController_verifyBankAccount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyOfframpBankAccountRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyOfframpBankAccountResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    VerifyOfframpBankAccountRequestDto:
      type: object
      properties:
        bankCode:
          type: string
        accountNumber:
          type: string
      required:
        - bankCode
        - accountNumber
    VerifyOfframpBankAccountResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/VerifyOfframpBankAccountResponseDataDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    VerifyOfframpBankAccountResponseDataDto:
      type: object
      properties:
        bankCode:
          type: string
        bankName:
          type: string
        accountNumber:
          type: string
        accountName:
          type: string
      required:
        - bankCode
        - bankName
        - accountNumber
        - accountName
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````